
Figure - Bug #112133
测试 Test-IT # 110961 (New): V2.0功能测试

测试 Test-IT # 111043 (New): AF-V2.0-自动背光

【AF】【EVT】【自动背光】拖动亮度调节条至最低时，屏幕实际亮度没有降到最低
2022-09-26 13:51 - CD Test赵飞

Status: CLOSED Start date: 2022-09-26

Priority: High Due date: 2022-09-28

Assignee: CDTS_TEST 刘勇 % Done: 100%

Category: CD-FW Estimated time: 0.00 hour

Target version: VX1_MCE_FSE_V2.0_20220930

Need_Info: -- Found Version: FlatBuild_VX1_MCE_xx.xx_FSE.R.user.0.0.0.20220924.alpha_0019

Resolution: FIXED Degrated: --

Severity: Major Verified Version: 20220929-01.00.0024.x101

Reproducibility: Every time Fixed Version: 2022-09-26

Test Type: IT Root cause: 由于亮度条没有最小值，导致设置了默认最小值0，然而0会识别为非法值，进而导致这个问题。��

Description

测试版本：FlatBuild_VX1_MCE_xx.xx_FSE.R.user.0.0.0.20220924.alpha_0019

【前提条件】

1、设备已开机

【测试步骤】

1、进入设置 - 显示

2、关闭“自动调节亮度”开关

3、点击“亮度”调出亮度调节条

4、滑动亮度调节条至最左侧后松开

5、检查屏幕亮度和显示的亮度百分比

【预期结果】

5、显示的亮度百分比为1%，屏幕实际亮度也为1%所匹配的亮度

【实际结果】

5、显示的亮度百分比仍然为拖动亮度调节条之前的亮度值，屏幕实际亮度也仍然为之前的亮度值

【复现率】

5/5

【Log】

Log见附件

Related issues:

Related to Figure - Bug # 113375: 【BSP】【EVT2】【实车】【必现】【Use... CLOSED 2022-10-31

History

#1 - 2022-09-26 18:29 - CD FW-王伟

- Assignee changed from CD FW-王伟 to CD- FW-石豪

#2 - 2022-09-26 18:30 - CD FW-王伟

■ My analysis

在调节了亮度条到最左端的时候，FW的亮度值又设置成了100，导致出现的问题
#3 - 2022-09-26 22:06 - CD FW-王伟

- Status changed from New to RESOLVED

- Assignee changed from CD- FW-石豪 to CD Test赵飞

- Resolution changed from -- to FIXED

- Fixed Version set to 2022-09-26

- Root cause set to 由于亮度条没有最小值，导致设置了默认最小值0，然而0会识别为非法值，进而导致这个问题。

■ Current conclusion

由于亮度条没有最小值，导致设置了默认最小值0，然而0会识别为非法值，进而导致这个问题。

■ My analysis

■ Next action / ■Submit URL

https://dev.thundercomm.com/gerrit/c/general/platform/frameworks/base/+/151792

#4 - 2022-09-29 16:12 - CDTS_TEST 王成

- Assignee changed from CD Test赵飞 to CDTS_TEST 刘勇

#5 - 2022-09-29 16:41 - CDTS_TEST 刘勇

- Status changed from RESOLVED to VERIFIED

- Verified Version set to 20220929-01.00.0024.x101

【测试步骤】

1、进入设置 - 显示

2、关闭“自动调节亮度”开关

3、点击“亮度”调出亮度调节条

4、滑动亮度调节条至最左侧后松开

5、检查屏幕亮度和显示的亮度百分比

【预期结果】

5、显示的亮度百分比为1%，屏幕实际亮度也为1%所匹配的亮度

【实际结果】

5、显示的亮度百分比为1%，屏幕实际亮度也为1%所匹配的亮度，cat /sys/class/backlight/panel0-backlight/brightness 为1

#6 - 2022-09-29 16:42 - CDTS_TEST 刘勇

- Status changed from VERIFIED to CLOSED

#7 - 2022-10-31 17:33 - CD Test赵飞

- % Done changed from 0 to 100

#8 - 2022-12-22 20:37 - CD FW-王伟

Gerrit Merge Information：

ID Project Branch Uploader

151792 general/platform/frameworks/base Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

wangwei0629@thundersoft.com
https://dev.thundercomm.com/gerrit/c/general/platform/frameworks/base/+/151792


AF: LightBrightness: Set the min value as 1 for brightnessbarSet the min value as 1 for brightnessbarTC-RID: 1201-0204901IssueID: TS-R-DF-112133Change-Id:

I89a74d50cfbb430865f4f0fea0d6149aa1158eea

Files

logcat.txt 2.77 MB 2022-09-26 CD Test赵飞

screen-20220924-030355.mp4 8 MB 2022-09-26 CD Test赵飞
